COLCRT(1)

NAMN
colcrt - filtrera nroff-utdata för förhandsgranskning på CRT

SYNOPSIS

colcrt [flaggor] [fil ...]

BESKRIVNING

colcrt ger virtuell halvrad och omvänd radmatning för terminaler som saknar sådana funktioner och där överstreckning är destruktivt. Halvradstecken och understrykningar (ändras till streckade `-') placeras på nya rader mellan de normala utdataraderna.

FLAGGOR

-, --no-underlining
    Undertrycker all understrykning. Denna flagga är särskilt användbart för förhandsgranskning av allboxed-tabeller från tbl(1).

-2, --half-lines
    Gör att alla halva rader skrivs ut, vilket ger dubbelt avstånd i utskriften. Normalt används ett utmatningsformat med minimalt utrymme, vilket undertrycker tomma rader. Programmet undertrycker dock aldrig två tomma rader i följd. Flaggan -2 är användbart för att skicka utdata till linjeskrivaren när utdata innehåller över- och underskrifter som annars skulle vara delvis osynliga.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

HISTORIK

Kommandot colcrt dök upp i 3.0BSD.

KÄNDA PROBLEM

Skulle vika understrykningar på blanksteg även med flaggan - så att ett riktigt understrykningstecken skulle visas.

Det går inte att säkerhetskopiera mer än 102 rader.

Allmän överstrykning går förlorad; som ett specialfall blir "|" överstruket med "-" eller understrykning "+".

Raderna är trimmade till 132 tecken.

Det bör finnas en möjlighet att behandla upp- och nedskrivningar i dokument som redan har dubbelt spaltavstånd.

EXEMPEL

En typisk användning av colcrt skulle kunna vara:

    tbl exum2.n | nroff -ms | colcrt - | more

SE ÄVEN

col(1), more(1), nroff(1), troff(1), ul(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot colcrt ingår i paketet util-linux som kan hämtas från